com.dlsc.flexgantt.model.scheduling

## Enum ViolationCode

- java.lang.Object
- - java.lang.Enum<ViolationCode>
  - - com.dlsc.flexgantt.model.scheduling.ViolationCode

- All Implemented Interfaces:
    Serializable, Comparable<ViolationCode>

      public enum ViolationCode
      extends Enum<ViolationCode>

  The violation code provides more details regarding the type of violation that the model validator encountered when checking the constraint.
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUFFER_TOO_LARGE` A code used to indicate that the buffer between two timeline objects was too large.
    `BUFFER_TOO_SMALL` A code used to indicate that the buffer between two timeline objects was too small.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViolationCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ViolationCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUFFER_TOO_SMALL

          public static final ViolationCode BUFFER_TOO_SMALL

      A code used to indicate that the buffer between two timeline objects was too small.
      Since:
        2.1

    - #### BUFFER_TOO_LARGE

          public static final ViolationCode BUFFER_TOO_LARGE

      A code used to indicate that the buffer between two timeline objects was too large.
      Since:
        2.1

  - ### Method Detail

    - #### values

          public static ViolationCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViolationCode c : ViolationCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViolationCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.